Retrieve Content File
Retrieve the content file of a specified component.
GET
/api/mdl/components/{component_type_and_record_name}/filesHeaders
Section link for Headers| Name | Description |
|---|---|
Accept | application/json (default) or application/xml |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
component_type_and_record_name | The component type of the record followed by the name of the record from which to retrieve the content file. The format is {Componenttype}.{record_name}. For example, Formattedoutput.my_formatted_output__c. |
Request
Section link for Requestcurl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/mdl/components/Formattedoutput.my_formatted_output__c/filesResponse
Section link for Response{
"responseStatus": "SUCCESS",
"links": [
{
"rel": "my_formatted_output__c.template_file",
"href": "myvault.veevavault.com/api/mdl/components/Formattedoutput.my_formatted_output__c/files/4be398c32fc2ccf48adaf6ebe53782a1",
"method": "GET",
"accept": "application/pdf"
}
],
"data": [
{
"name__v": "4be398c32fc2ccf48adaf6ebe53782a1",
"original_name__v": "Quote.pdf",
"format__v": "application/pdf",
"size__v": 654122,
"sha1_checksum__v": "4be398c32fc2ccf48adaf6ebe53782a1"
}
]
}Response Details
Section link for Response DetailsOn SUCCESS, the response includes the following:
| Name | Description |
|---|---|
name__v | The name of the file which can be used in MDL for referencing the component. |
original_name__v | The original name of the uploaded file. |
format__v | The format of the file. |
size__v | The file size of the file. |
sha1_checksum__v | The SHA-1 checksum value generated for the file. Use the checksum to ensure the file was transmitted correctly. |